# Get current directory
this_script_directory=$(cd `dirname $0` && pwd);
project_directory=$(dirname "$this_script_directory")

log_file="$this_script_directory/data/log.txt";
separator="*****"

echo "$separator $(date '+%Y-%d-%m %H:%M:%S') - update image-editor begins ... $separator" >> "$log_file";
# Update git submodules merging remote version into local one
git submodule update --remote --merge &>> "$log_file";

# Delete the outdated folder
rm -r "$project_directory/static/image-editor" &>> "$log_file";

# Copy the updated folder
cp -r "$project_directory/image-editor/src" "$project_directory/static/image-editor" &>> "$log_file";

echo "$separator ... update image-editor ends $separator" >> "$log_file";
